Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::SimplexInCoxeterTriangulation Struct Reference

The concept SimplexInCoxeterTriangulation describes the requirements for a type to implement a representation of simplices in Freudenthal_triangulation or in Coxeter_triangulation. More...

`#include <concept/Coxeter_triangulation/SimplexInCoxeterTriangulation.h>`

## Public Types

typedef Vertex_ | Vertex
| Type of the vertex.
typedef Ordered_set_partition_ | OrderedSetPartition
| Type of the ordered partition.

## Public Member Functions

unsigned | dimension () const
| Dimension of the simplex.
Vertex_range | vertex_range () const
| Returns a range of vertices of the simplex.
Face_range | face_range (std::size_t k) const
| Returns a range of permutahedral representations of k-dimensional faces of the simplex for some given integer parameter 'k'.
Face_range | facet_range () const
| Returns a range of permutahedral representations of facets of the simplex. The dimension of the simplex must be strictly positive.
Coface_range | coface_range (std::size_t k) const
| Returns a range of permutahedral representations of k-dimensional cofaces of the simplex for some given integer parameter 'k'.
Coface_range | cofacet_range () const
| Returns a range of permutahedral representations of cofacets of the simplex. The dimension of the simplex must be strictly different from the ambient dimension.
bool | is_face_of (const Permutahedral_representation &other) const
| Returns true, if the simplex is a face of other simplex.

## Public Attributes

typedef | Vertex_range
| Type of a range of vertices, each of type Vertex.
typedef | Face_range
| Type of a range of faces, each of type that is a model of the concept SimplexInCoxeterTriangulation.
typedef | Coface_range
| Type of a range of cofaces, each of type that is a model of the concept SimplexInCoxeterTriangulation.

## Detailed Description

The concept SimplexInCoxeterTriangulation describes the requirements for a type to implement a representation of simplices in Freudenthal_triangulation or in Coxeter_triangulation.

The documentation for this struct was generated from the following file:

- concept/Coxeter_triangulation/SimplexInCoxeterTriangulation.h